Menu guidance
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
menuGuidancestring · enumObrigatórioValores possíveis:
Respostas
200
OK
application/json
titlestringOpcional
colorstringOpcional
has_shopbooleanOpcional
enable_access_requestbooleanOpcional
brand_imagestringOpcional
favicon_imagestringOpcional
login_imagestringOpcional
extend_screenbooleanOpcional
menu_guidancestringOpcional
display_watermarkbooleanOpcional
updated_atstring · date-timeOpcional
404
Portal was not found
application/json
500
An internal server error was thrown
application/json
put/portals/appearance/menu-guidance
PUT /api/b2b/portals/appearance/menu-guidance HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"menuGuidance": "VERTICAL"
}{
"title": "text",
"color": "text",
"has_shop": true,
"enable_access_request": true,
"brand_image": "text",
"favicon_image": "text",
"login_image": "text",
"extend_screen": true,
"menu_guidance": "text",
"display_watermark": true,
"floating_button": {
"active": true,
"type": "WHATSAPP",
"whatsappNumber": "text",
"whatsappMessage": "text"
},
"tag_manager": {
"gtm": "text"
},
"updated_at": "2026-01-01T00:00:00.000Z"
}